#!/bin/dash
echo "cleaning directory"
rm depcomp install-sh missing Makefile.in aclocal.m4 configure src/Makefile.in config/config.h.in 2>/dev/null

if [ $# -eq 1 ]
then
	exit
fi

echo "Running autotools"
autoheader
automake --foreign -a -c
aclocal
autoconf
echo "cleaning directory"
rm -R autom4te.cache/
rm config.status
rm config.log
rm -R src/.deps
rm Makefile
rm src/Makefile

